/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package be.ac.vub.cocompose.io.xml;

/**
 * Contains XML parsing related constants.
 * @author Dennis Wagelaar
 * @version 0.2.0, 05/12/2003
 * @since 0.2.0
 */
public abstract class XML
{
  // Default parser name.
  public static final String PARSER      = "org.apache.xerces.parsers.SAXParser";
  
  // XML parser features
  public static final String VALIDATION  = "http://xml.org/sax/features/validation";
  public static final String NAMESPACES  = "http://xml.org/sax/features/namespaces";
  public static final String SCHEMA      = "http://apache.org/xml/features/validation/schema";
  public static final String SCHEMA_FULL = "http://apache.org/xml/features/validation/schema-full-checking";
  
  // XML parser defaults
  public static boolean SetValidation    = false;
  public static boolean SetNamespaces    = true;
  public static boolean SetSchema        = true;
  public static boolean SetSchemaFull    = false;
}
