/**
 * Title:        CoCompose
 * Copyright:    Copyright (c) 2002, 2003
 * Author:       Dennis Wagelaar
 * Organisation: University of Twente, Vrije Universiteit Brussel
 * Description:  CoCompose Design Language Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package be.ac.vub.cocompose.lang;

import java.beans.PropertyChangeListener;

/**
 * Introduces root functionality for all CoCompose elements.
 * @author Dennis Wagelaar
 * @version 0.2.0, 05/12/2003
 * @since 0.2.0
 */
public interface Element
{
  /**
   * Adds a listener for this object.
   * @param listener - the listener to add.
   */
  public void addPropertyChangeListener(PropertyChangeListener listener);

  /**
   * Removes a listener for this object.
   * @param listener - the listener to remove.
   */
  public void removePropertyChangeListener(PropertyChangeListener listener);
}
