/**
 * Title:        CoCompose
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: University of Twente, Vrije Universiteit Brussel
 * Description:  CoCompose Design Language Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 */

package be.ac.vub.cocompose.lang;

/**
 * Contains the property IDs for all CoCompose element.
 * @author Dennis Wagelaar
 * @version 0.2.4, 22/01/2004
 * @since 0.2.0
 */
public abstract class Properties
{
  public static final String ID_NAME                = "name";
  public static final String ID_OWNED_ELEMENTS      = "ownedElements";
  public static final String ID_POSITION            = "position";
  public static final String ID_BGCOLOR             = "backgroundcolor";
  public static final String ID_RELATIONSHIPS       = "relationships";
  public static final String ID_SOURCERELATIONSHIPS = "sourceRelationships";
  public static final String ID_TARGETRELATIONSHIPS = "targetRelationships";
  public static final String ID_SOURCE              = "sourceParticipant";
  public static final String ID_TARGET              = "targetParticipant";
  public static final String ID_BENDPOINT           = "bendpoint";
  public static final String ID_REFINEMENTS         = "refinements";
  public static final String ID_INHERITS_FROM       = "inheritsFrom";
  public static final String ID_SUPERIMPOSES_ON     = "superimposesOn";
  public static final String ID_REFINED_ELEMENT     = "refinedElement";
  public static final String ID_PART_OF             = "partOf";
  public static final String ID_PARTS               = "parts";
  public static final String ID_MULTIPLICITY        = "multiplicity";
  public static final String ID_ROLE_PARTS          = "roleParts";
  public static final String ID_IMPLEMENTATION_GEN  = "implementationGenerator";
  public static final String ID_CONTENT             = "content";
  public static final String ID_DEFAULT_CONCEPT     = "defaultConcept";
  public static final String ID_DEFAULT_CONCEPT_OF  = "defaultConceptOf";
  public static final String ID_URI                 = "uri";
  public static final String ID_ICON_URI            = "iconUri";
  public static final String ID_MODEL_URI           = "modelUri";
}
