package be.ac.vub.cocompose.lang.constraints;

import java.util.List;

/**
 * Composite constraint interface.
 * @author Dennis Wagelaar 
 * @version 0.2.0
 * @since 0.2.0
 */
public interface CompositeConstraint extends Constraint
{

  /**
   * @link aggregation
   * @supplierRole ownedConstraint
   * @supplierCardinality 2..*
   * @clientRole ownerConstraint
   * @clientCardinality 0..1
   * @uml property=ownedConstraints
   */
  List getOwnedConstraints();

}
